package com.snowchen.snglfx17.AppCore;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.io.FileWriter;
import java.io.IOException;
import com.snowchen.snglfx17.AppCore.*;

public class ConfigCore {
    public class CreateDirectory{
        /**
         * 检查指定名称的目录是否在根目录下存在，如果不存在则创建它。
         *
         * @param directoryName 要检查的目录名称
         */
        public static void createDirectoryIfNotExists(String directoryName) {
            // 获取程序根目录的路径
            Path rootPath = Paths.get("");

            // 构建要检查的目录的完整路径
            Path directoryPath = rootPath.resolve(directoryName);

            // 检查目录是否存在
            if (!Files.exists(directoryPath)) {
                try {
                    // 如果目录不存在，则创建它
                    Files.createDirectories(directoryPath);
                    System.out.println("目录 " + directoryName + " 已成功创建在根目录下。");
                } catch (IOException e) {
                    // 处理创建目录时可能出现的异常
                    System.err.println("创建目录时发生错误: " + e.getMessage());
                }
            } else {
                System.out.println("目录 " + directoryName + " 已经存在于根目录下。");
            }
        }

    }
    public class CreateConfig{
        /**
         * 检查指定目录下是否存在特定文件，如果不存在则创建它。
         *
         * @param directoryPath 目录路径
         * @param fileName      文件名
         * @return 是否创建了文件
         */
        public static boolean checkAndCreateFile(String directoryPath, String fileName) {
            // 拼接完整的文件路径
            Path filePath = Paths.get(directoryPath, fileName);

            // 检查文件是否存在
            if (!Files.exists(filePath)) {
                // 文件不存在，尝试创建父目录并创建文件
                try {
                    // 创建父目录（如果它不存在）
                    Path directory = Paths.get(directoryPath);
                    if (!Files.exists(directory)) {
                        Files.createDirectories(directory);
                    }

                    // 创建空的文件
                    Files.createFile(filePath);
                    return true; // 返回true表示文件已创建
                } catch (IOException e) {
                    System.err.println("创建文件时发生错误: " + e.getMessage());
                    return false; // 返回false表示文件创建失败
                }
            }
            return false; // 如果文件已存在，返回false
        }
    }
    public  class SaveData{

    }

}



